-- ##############################################
-- #	Liquid Manure Overlay Hud Script		#
-- #	version: v1.0							#
-- #	Date: 23.09.2013						#
-- #	author: [FSM]Chefkoch					#
-- #											#
-- # 	Keine Vernderung ohne					# 
-- # 	meine Erlaubnis!						#
-- # 	No modification without					# 
-- # 	my permission!							#
-- #											#
-- #	History:								#
-- #	v1.0 = Projekt started					#
-- #											#
-- ############################################## 

g_lManureHudDir = g_currentModDirectory;

lqHud = {};

function lqHud.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function lqHud:load(xmlFile)
	if not g_currentMission.fillTypeOverlays[Fillable.FILLTYPE_LIQUIDMANURE] then
		local overLay = g_currentMission.fillTypeOverlays[1];
		g_currentMission.fillTypeOverlays[Fillable.FILLTYPE_LIQUIDMANURE] = Overlay:new("liquidManure", g_lManureHudDir.."Textures/liquidManureHud.dds", overLay.x, overLay.y, overLay.width, overLay.height);
	end
end;

function lqHud:delete()
end;

function lqHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function lqHud:keyEvent(unicode, sym, modifier, isDown)
end;

function lqHud:update(dt)
end;

function lqHud:draw()
	if self.currentFillType ~= Fillable.FILLTYPE_UNKNOWN then
        g_currentMission:setFillTypeOverlayFillType(self.currentFillType);
    end;
end;